DISPLAY
function()
    local dps = 0; local heal = 0; local tank = 0
    local dpsDead = 0; local healDead = 0; local tankDead = 0
    if IsInRaid("player") == true then
        for i = 1, GetNumGroupMembers() do
            if UnitGroupRolesAssigned("raid"..i) == "TANK" then
                if UnitIsDeadOrGhost("raid"..i) then
                    tankDead = tankDead + 1
                else
                    tank = tank + 1
                end
            end
            if UnitGroupRolesAssigned("raid"..i) == "DAMAGER" then
                if UnitIsDeadOrGhost("raid"..i) then
                    dpsDead = dpsDead + 1
                else
                    dps = dps + 1
                end
            end
            if UnitGroupRolesAssigned("raid"..i) == "HEALER" then
                if UnitIsDeadOrGhost("raid"..i) then
                    healDead = healDead + 1
                else
                    heal = heal + 1
                end
            end
        end
    else
        for i = 1, GetNumGroupMembers() do
            if UnitGroupRolesAssigned("party"..i) == "TANK" then
                if UnitIsDeadOrGhost("party"..i) then
                    tankDead = tankDead + 1
                else
                    tank = tank + 1
                end
            end
            if UnitGroupRolesAssigned("party"..i) == "DAMAGER" then
                if UnitIsDeadOrGhost("party"..i) then
                    dpsDead = dpsDead + 1
                else
                    dps = dps + 1
                end
            end
            if UnitGroupRolesAssigned("party"..i) == "HEALER" then
                if UnitIsDeadOrGhost("party"..i) then
                    healDead = healDead + 1
                else
                    heal = heal + 1
                end
            end
        end
        if UnitIsDeadOrGhost("player") then
            if UnitGroupRolesAssigned("player") == "TANK" then
                tankDead = tankDead + 1
            end
            if UnitGroupRolesAssigned("player") == "DAMAGER" then
                dpsDead = dpsDead + 1
            end
            if UnitGroupRolesAssigned("player") == "HEALER" then
                healDead = healDead + 1
            end
        else
            if UnitGroupRolesAssigned("player") == "TANK" then
                tank = tank + 1
            end
            if UnitGroupRolesAssigned("player") == "DAMAGER" then
                dps = dps + 1
            end
            if UnitGroupRolesAssigned("player") == "HEALER" then
                heal = heal + 1
            end
        end
    end
    return string.format("TANKS: %s \n HEALS: %s \n DPS: %s", tank, heal, dps)
end
